# &kde; kasutaja käsiraamat

Stephan
Kulow

    coolo@kde.org

2007-09-28
KDE töökeskkond
kde4-config
1

# `kde4-config`

Näitab &kde; paigalduse asukohti

    kde4-config --expandvars --prefix --exec-prefix --libsuffix --localprefix --version --types --path tüüp --userpath tüüp --install tüüp

## Kirjeldus

kde4-config on käsureaprogramm teabe hankimiseks &kde; paigalduse või kasutaja asukohtade kohta.

Selle programmiga saab kindlaks teha, kus asuvad sinu süsteemis &kde; paigalduse erinevad osad.

## Võtmed

`--expandvars`

  ${prefix} ja ${exec_prefix} avamine väljundis

`--prefix`

  &kde; teekide kompileerimise prefiks

`--exec-prefix`

  &kde; teekide kompileerimise exec_prefix

`--libsuffix`

  Kompileerimise teegi asukoha sufiks

`--localprefix`

  Failide kirjutamiseks kasutatav $`HOME` prefiks

`--version`

  &kde; teekide kompileerimise versioonistring

`--types`

  Kõigi saadaolevate &kde; ressursitüüpide nimekirja näitamine

`--path tüüp`

  Määratud tüübi otsingutee

`--userpath tüüp`

  Kasutaja otsingutee tüüpidele desktop|autostart|trash|document

`--install tüüp`

  Ressursifailide paigaldamise prefiks

## Näited

&kde; paigalduse tippkataloogi näitamine:

&percnt;``kde4-config --prefix``

Kõigi ressursitüüpide nimekirja näitamine:

&percnt;``kde4-config --types``

Paigaldatud taustapildi asukoha näitamine:

&percnt;``kde4-config --path wallpaper``

## Vaata ka

kdeoptions(7)

## Vead

Pole ühtegi teada.